path: /build/build/zstandard-dev-python-0.18.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge dev-python/zstandard -pv -t && \
    USE="-python_targets_python2_7 -python_targets_python3_10 -python_targets_python3_7 -python_targets_python3_8 -test python_targets_python3_9" emerge -j ${JOBS} --nodeps dev-python/zstandard
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/zstandard && luet-portage --dir /pkgdir/zstandard
    dev-python/zstandard && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:016434b5fea2ec87d2d2293c190088708ff5ad8e094aa479d292e6f0dd9eb71a
  package:
    name: zstandard
    version: 0.18.0
    category: dev-python
    use_flags:
    - -python_targets_python2_7
    - -python_targets_python3_10
    - -python_targets_python3_7
    - -python_targets_python3_8
    - -test
    - python_targets_python3_9
    requires:
    - name: macaroni-funtoo-race13
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Zstandard bindings for Python
    uri:
    - https://pypi.org/project/zstandard/ https://github.com/indygreg/python-zstandard
    license: BSD
    buildtimestamp: 2023-09-05 19:05:49.034591939 +0000 UTC m=+330.212579680
    labels:
      BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      DEPEND: test? ( dev-python/hypothesis[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        )
      IUSE: test python_targets_python2_7 python_targets_python3_7 python_targets_python3_9
        python_targets_python3_8 python_targets_python3_10
      RDEPEND: python_targets_python2_7? ( dev-python/zstandard-compat ) dev-python/cffi:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
        python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
        ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 )
        python_targets_python3_10? ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      emerge.packages: dev-python/zstandard
      kit: python-modules-kit
      original.package.name: dev-python/zstandard
      original.package.slot: "0"
      original.package.version: 0.18.0
    treedir: /build/packages
  package_dir: /pkgdir/zstandard
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: f9dbd964b56a615ac3f7706af70823be6173b1d87d2f29585bf479b5b54fed2f
compressiontype: zstd
files:
- usr/lib/python3.9/site-packages/zstandard/__init__.py
- usr/lib/python3.9/site-packages/zstandard/__init__.pyi
- usr/lib/python3.9/site-packages/zstandard/__pycache__/__init__.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/zstandard/__pycache__/__init__.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/zstandard/__pycache__/__init__.cpython-39.pyc
- usr/lib/python3.9/site-packages/zstandard/__pycache__/backend_cffi.cpython-39.opt-1.pyc
- usr/lib/python3.9/site-packages/zstandard/__pycache__/backend_cffi.cpython-39.opt-2.pyc
- usr/lib/python3.9/site-packages/zstandard/__pycache__/backend_cffi.cpython-39.pyc
- usr/lib/python3.9/site-packages/zstandard/_cffi.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/zstandard/backend_c.cpython-39-x86_64-linux-gnu.so
- usr/lib/python3.9/site-packages/zstandard/backend_cffi.py
- usr/lib/python3.9/site-packages/zstandard/py.typed
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/PKG-INFO
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/SOURCES.txt
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/dependency_links.txt
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/not-zip-safe
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/requires.txt
- usr/lib/python3.9/site-packages/zstandard-0.18.0-py3.9.egg-info/top_level.txt
- usr/share/doc/zstandard-0.18.0/README.rst.bz2
- var/db/pkg/dev-python/zstandard-0.18.0/BDEPEND
- var/db/pkg/dev-python/zstandard-0.18.0/BUILD_TIME
- var/db/pkg/dev-python/zstandard-0.18.0/CATEGORY
- var/db/pkg/dev-python/zstandard-0.18.0/CBUILD
- var/db/pkg/dev-python/zstandard-0.18.0/CFLAGS
- var/db/pkg/dev-python/zstandard-0.18.0/CHOST
- var/db/pkg/dev-python/zstandard-0.18.0/CONTENTS
- var/db/pkg/dev-python/zstandard-0.18.0/COUNTER
- var/db/pkg/dev-python/zstandard-0.18.0/CXXFLAGS
- var/db/pkg/dev-python/zstandard-0.18.0/DEFINED_PHASES
- var/db/pkg/dev-python/zstandard-0.18.0/DESCRIPTION
- var/db/pkg/dev-python/zstandard-0.18.0/EAPI
- var/db/pkg/dev-python/zstandard-0.18.0/FEATURES
- var/db/pkg/dev-python/zstandard-0.18.0/HOMEPAGE
- var/db/pkg/dev-python/zstandard-0.18.0/INHERITED
- var/db/pkg/dev-python/zstandard-0.18.0/IUSE
- var/db/pkg/dev-python/zstandard-0.18.0/IUSE_EFFECTIVE
- var/db/pkg/dev-python/zstandard-0.18.0/KEYWORDS
- var/db/pkg/dev-python/zstandard-0.18.0/LDFLAGS
- var/db/pkg/dev-python/zstandard-0.18.0/LICENSE
- var/db/pkg/dev-python/zstandard-0.18.0/NEEDED
- var/db/pkg/dev-python/zstandard-0.18.0/PF
- var/db/pkg/dev-python/zstandard-0.18.0/PROVIDES
- var/db/pkg/dev-python/zstandard-0.18.0/RDEPEND
- var/db/pkg/dev-python/zstandard-0.18.0/REQUIRES
- var/db/pkg/dev-python/zstandard-0.18.0/RESTRICT
- var/db/pkg/dev-python/zstandard-0.18.0/SIZE
- var/db/pkg/dev-python/zstandard-0.18.0/SLOT
- var/db/pkg/dev-python/zstandard-0.18.0/USE
- var/db/pkg/dev-python/zstandard-0.18.0/environment.bz2
- var/db/pkg/dev-python/zstandard-0.18.0/repository
- var/db/pkg/dev-python/zstandard-0.18.0/zstandard-0.18.0.ebuild
package_cacheimage: ""
runtime:
  name: zstandard
  version: 0.18.0
  category: dev-python
  use_flags:
  - -python_targets_python2_7
  - -python_targets_python3_10
  - -python_targets_python3_7
  - -python_targets_python3_8
  - -test
  - python_targets_python3_9
  requires:
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: cffi
    version: '>=0'
    category: dev-python
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Zstandard bindings for Python
  uri:
  - https://pypi.org/project/zstandard/ https://github.com/indygreg/python-zstandard
  license: BSD
  labels:
    BDEPEND: python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      >=dev-python/setuptools-42.0.2[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    DEPEND: test? ( dev-python/hypothesis[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      )
    IUSE: test python_targets_python2_7 python_targets_python3_7 python_targets_python3_9
      python_targets_python3_8 python_targets_python3_10
    RDEPEND: python_targets_python2_7? ( dev-python/zstandard-compat ) dev-python/cffi:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
      python_targets_python3_7? ( dev-lang/python:3.7 ) python_targets_python3_9?
      ( dev-lang/python:3.9 ) python_targets_python3_8? ( dev-lang/python:3.8 ) python_targets_python3_10?
      ( dev-lang/python:3.10 ) >=dev-lang/python-exec-2:=[python_targets_python3_7(-)?,python_targets_python3_9(-)?,python_targets_python3_8(-)?,python_targets_python3_10(-)?,-python_single_target_python3_7(-),-python_single_target_python3_9(-),-python_single_target_python3_8(-),-python_single_target_python3_10(-)]
    emerge.packages: dev-python/zstandard
    kit: python-modules-kit
    original.package.name: dev-python/zstandard
    original.package.slot: "0"
    original.package.version: 0.18.0
